﻿using System.IO;

namespace OptimisationManagerExtention.Model.DirectoryManagers
{
    static class DirectoryInfoExtention
    {
        public static DirectoryInfo GetDirectory(this DirectoryInfo directory, string Name, bool createIfNotExists = false)
        {
            DirectoryInfo ans = new DirectoryInfo(Path.Combine(directory.FullName, Name));
            if (!ans.Exists)
            {
                if (!createIfNotExists)
                    return null;
                ans.Create();
            }
            return ans;
        }
    }
}
